RSBag - Enhancement #977
bag-record should refuse to write to existing files
03/30/2012 11:34 AM - J. Moringen

Status: Resolved Start date: 03/30/2012
Priority: Normal Due date:

Assignee: J. Moringen % Done: 100%
Category: Estimated time: 0.00 hour
Target version: rsb-0.7

Description

When a specified output file already exists, bag-record should refuse to write to the file.

In addition, there should be options for replacing and, maybe, extending the file.

Associated revisions

Revision add58938 - 03/30/2012 06:26 PM - J. Moringen
Added if-exists to open-bag in src/protocol.lisp
refs #977
- src/protocol.lisp (open-bag): added if-exists keyword parameter;
extended documentation string accordingly

(open-bag pathname): pass if-exists to “open’

Revision 9b45650c - 03/30/2012 06:26 PM - J. Moringen
Adapted test case in test/bag.lisp
refs #977
- test/bag.lisp (test bag-root::smoke): adapted test to changed
behavior of open-bag

Revision 066a3b4b - 04/10/2012 05:15 PM - J. Moringen
Documented force option in manual/bag-record.rst
refs #977

- manual/bag-record.rst: documented force commandline option

Revision 7efe5b83 - 04/10/2012 05:19 PM - J. Moringen
Support if-exists in src/rsb/{protocol,construction}.lisp
refs #977
- src/rsb/protocol.lisp (events->bag): added keyword parameter
if-exists; updated documentation string accordingly
- src/rsb/construction.lisp (define-open-bag-method): added keyword
parameter if-exists; pass to “open-bag'

Revision ab2b5d56 - 04/10/2012 05:19 PM - J. Moringen
Added commandline option force in bag-record/main.lisp
fixes #977
- bag-record/main.lisp (update-synopsis): added commandline option
force

(main): depending on presence of force commandline option pass
appropriate if-exists argument to “events->bag

History

#1 - 04/10/2012 05:19 PM - J. Moringen

- Target version set to rsb-0.7

#2 - 04/10/2012 05:19 PM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

Applied in changeset r430.
